Draft KreisAnordnung
|
Menüeintrag |
---|
Änderung → Array tools → Kreis-Anordnung |
Arbeitsbereich |
Draft, Arch |
Standardtastenkürzel |
Keiner |
Eingeführt in Version |
0.19 |
Siehe auch |
Draft RechtwinkligeAnordnung, Draft PolareAnordnung, Draft PfadAnordnung, Draft PfadVerknüpfungsanordnung, Draft PunktAnordnung, Draft PunktVerknüpfungsanordnung |
Beschreibung
Der Befehl Draft KreisAnordnung erstellt eine Anordnung aus einem ausgewählten Objekt, indem er Kopien auf konzentrischen Kreisringen positioniert. Der Befehl kann wahlweise eine Verknüpfungsanordnung (Link-Array) erstellen, die effizienter ist als eine normale Anordnung.
Dieser Befehl kann für 2D-Objekte verwendet werden, die mit den Arbeitsbereichen Draft oder Sketcher erstellt wurden, aber auch für viele 3D-Objekte, die mit anderen Arbeitsbereichen wie Part, PartDesign oder Arch erstellt wurden.
Draft Kreis-Anordnung
Anwendung
Siehe auch: Draft Fangen.
- Optionally select one object.
- There are several ways to invoke the command:
- Press the
Draft CircularArray button.
- Select the Modification → Array tools →
Circular array option from the menu.
- Press the
- The Circular array task panel opens. See Options for more information.
- If you have not yet selected an object: select one object.
- Enter the required parameters in the task panel.
- To finish the command do one of the following:
- Pick a point in the 3D view for the Center of rotation.
- Press Enter.
- Press the OK button.
Optionen
- Enter the Radial distance to specify the distance between the circular layers, and between the center and the first circular layer.
- Enter the Tangential distance to specify the distance between the elements on the same circular layer. Must be larger than zero.
- Enter the Number of circular layers. The element at the center counts as one layer. Must be at least
2
. The maximum that can be entered in the task panel is99
, but higher values are possible by changing the DatenNumber Circles property of the array. - Enter the Symmetry value. This number determines how the elements are distributed. A value of
3
, for example, results in a pattern with three equal 120° pie segments. Larger values for the Symmetry and the Tangential distance result in fewer or even no elements on the inner layers. - Pick a point in the 3D view, note that this will also finish the command, or type coordinates for the Center of rotation. The rotation axis of the array will pass through this point. It is advisable to move the pointer out of the 3D view before entering coordinates.
- Press the Reset point button to reset the Center of rotation to the origin.
- If the Fuse checkbox is checked overlapping elements in the array are fused. This does not work for Link arrays.
- If the Link array checkbox is checked a Link array instead of a regular array is created. A Link array is more efficient because its elements are App Link objects.
- Press Esc or the Cancel button to abort the command.
Hinweise
- The default rotation axis for the array is the positive Z axis. This can be changed by editing its DatenAxis property.
- A Draft CircularArray can be turned into a Draft OrthoArray or a Draft PolarArray by changing its DatenArray Type property.
- A Link array cannot be turned into a regular array or vice versa. The type of array must be decided at creation time.
Einstellungen
Siehe auch: Voreinstellungseditor und Draft Einstellungen.
- Um die Anzahl der Dezimalstellen für die Eingabe der Koordinaten und Abstände zu ändern: Bearbeiten → Eigenschaften... → Allgemein → Einheiten → Einheiten-Einstellungen → Anzahl der Nachkommastellen
Eigenschaften
Siehe Draft RechtwinkligeAnordnung.
Skripten
Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.
Zum Erstellen einer Kreis-Anordnung wird die Methode make_array
des Draft-Moduls verwendet (eingeführt mit Version 0.19). Diese Methode ersetzt die veraltete Methode makeArray
. Die Methode make_array
kann Draft RechtwinkligeAnordnungen, Draft PolareAnordnungen und Draft Kreis-Anordnungen erstellen. Für jede Anordnungsart stehen eine oder mehrere Wrapper-Methoden zur Verfügung.
Die Hauptmethode:
array = make_array(base_object, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, use_link=True)
The wrapper for circular arrays is:
array = make_circular_array(base_object,
r_distance=100, tan_distance=50,
number=3, symmetry=1,
axis=App.Vector(0, 0, 1), center=App.Vector(0, 0, 0),
use_link=True)
base_object
is the object to be arrayed. It can also be theLabel
(string) of an object in the current document.r_distance
andtan_distance
are the radial and tangential distances between the elements.number
is the number of circular layers in the pattern, the original object counts as the first layer.symmetry
is an integer used in some calculations that affect the way the elements are distributed around the circumferences. Usual values are from 1 to 6. Higher values are not recommended and will make the elements in the inner layers disappear.axis
andcenter
are vectors that describe the direction of the axis of rotation, and a point through which that axis passes.- If
use_link
isTrue
the created elements are App Links instead of regular copies. array
is returned with the created array object.
Beispiel:
import FreeCAD as App
import Draft
doc = App.newDocument()
tri = Draft.make_polygon(3, 600)
array = Draft.make_circular_array(tri, 1800, 1200, 4, 1)
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path Link array, Point Array, Point Link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to Sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select Plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap Lock, Snap Endpoint, Snap Midpoint, Snap Center, Snap Angle, Snap Intersection, Snap Perpendicular, Snap Extension, Snap Parallel, Snap Special, Snap Near, Snap Ortho, Snap Grid, Snap WorkingPlane, Snap Dimensions, Toggle Grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to Construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Toggle continue mode, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Working plane proxy: Write camera position, Write objects state

- Erste Schritte
- Installation: Herunterladen, Windows, Linux, Mac, Zusätzlicher Komponenten, Docker, AppImage, Ubuntu Snap
- Grundlagen: Über FreeCAD, Graphische Oberfläche, Mausbedienung, Auswahlmethoden, Objektname, Programmeinstellungen, Arbeitsbereiche, Dokumentstruktur, Objekteigenschaften, Hilf FreeCAD, Spende
- Hilfe: Tutorien, Video Tutorien
- Arbeitsbereiche: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web